Package org.apache.avro.hadoop.io

# Class AvroDatumConverterFactory.ByteWritableConverter

java.lang.Object
org.apache.avro.hadoop.io.AvroDatumConverter<ByteWritable,org.apache.avro.generic.GenericFixed>
org.apache.avro.hadoop.io.AvroDatumConverterFactory.ByteWritableConverter

Enclosing class:
  `AvroDatumConverterFactory`

public static class AvroDatumConverterFactory.ByteWritableConverter extends AvroDatumConverter<ByteWritable,org.apache.avro.generic.GenericFixed>
Converts ByteWritables into GenericFixed of size 1.

## Constructor Summary

Constructors
Constructor
Description
`ByteWritableConverter()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`org.apache.avro.generic.GenericFixed`
`convert(ByteWritable input)`
`org.apache.avro.Schema`
`getWriterSchema()`
Gets the writer schema that should be used to serialize the output Avro datum.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteWritableConverter

public ByteWritableConverter()
Constructor.

## Method Details

### convert

public org.apache.avro.generic.GenericFixed convert(ByteWritable input)

Specified by:
  `convert` in class `AvroDatumConverter<ByteWritable,org.apache.avro.generic.GenericFixed>`

### getWriterSchema

public org.apache.avro.Schema getWriterSchema()
Gets the writer schema that should be used to serialize the output Avro datum.

Specified by:
  `getWriterSchema` in class `AvroDatumConverter<ByteWritable,org.apache.avro.generic.GenericFixed>`
Returns:
  The writer schema for the output Avro datum.